@import "../variables.color/variables.color.scss";
@import "../variables.color/variables.fonts.scss";
@import "../variables.color/variables.mixins.scss";
@import "../button.styles.scss/Button.styles.scss";

.main-club {
  background-color: $club-color;
  min-height: 100vh;
  font-family: $users-main;
  background: linear-gradient(to right, #a4806a, #a77656);
  &-container {
    @include max-width;
    padding-top: 7em;
    min-height: 100vh;
    @include respondTo(wide-phones) {
      padding: 0;
    }
    @include respondTo(phones) {
      padding: 0;
      margin: 0;
    }
    h2 {
      @include section-title;
      color: $users-main-alt;
      @include respondTo(phones) {
        padding: 1em 0 0;
        margin: 0;
        text-align: center;
      }
      @include respondTo(wide-phones) {
        padding: 1em 0 0;
        margin: 0;
        text-align: center;
      }
    }
    &-content {
      margin: 1em 6em 0;
      @include respondTo(xlg-desktops) {
        margin: 1em 9em;
      }
      @include respondTo(phones) {
        background-color: $white;
        margin: 1em;
        border-radius: 4px;
      }

      @include respondTo(wide-phones) {
        background-color: $white;
        margin: 1em;
        border-radius: 4px;
      }

      &-title {
        margin: 0.5em 0;
        font-size: $h3-size;
        text-transform: uppercase;
        color: $users-main-alt;
        @include respondTo(phones) {
          color: $users-main;
          text-align: center;
          font-weight: 600;
          font-size: $h4-size;
          padding: 1em 0;
        }
        @include respondTo(wide-phones) {
          color: $users-main;
          text-align: center;
          font-weight: 600;
          font-size: $h4-size;
          padding: 1em 0;
        }
      }
      &-cards {
        display: grid;
        grid-gap: 1em;
        grid-template-columns: repeat(5, 1fr);
        grid-template-rows: 1fr 1fr;
        @include respondTo(small-desktops) {
          grid-template-columns: repeat(4, 1fr);
        }
        @include respondTo(tablets) {
          grid-template-columns: repeat(3, 1fr);
        }
        @include respondTo(wide-phones) {
          grid-template-columns: repeat(2, 1fr);
        }
        @include respondTo(phones) {
          grid-template-columns: repeat(1, 1fr);
        }
        .single-card {
          background-color: $users-main-alt;
          text-align: center;
          padding: 0.9em 0.7em 0.1em;
          color: $users-member-card-main;
          @include respondTo(xlg-desktops) {
            padding: 0.9em 1.5em 0.2em;
          }
          @include respondTo(phones) {
            border: 1px solid $dark-grey;
            margin: 1em 3em;
          }
          img {
            width: 5em;
            height: 5em;
            border-radius: 50%;
          }
          div {
            margin: 0.5em auto;
          }
          .member-name {
            font-weight: 600;
          }
          .member-desc {
            font-size: 0.8em;
            padding-bottom: 0.1em;
          }
          .member-mail {
            font-size: 0.9em;
            color: $users-member-card-alt;
          }
          .member-phone {
            font-size: 0.9em;
          }
        }
      }
    }
  }
}
